/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A Database Management private endpoint allows Database Management to connect to databases in a Virtual Cloud Network (VCN).
 */
export interface DbManagementPrivateEndpoint {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Database Management private endpoint.
     */
    "id": string;
    /**
     * The display name of the Database Management private endpoint.
     */
    "name": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * Specifies whether the Database Management private endpoint can be used for Oracle Databases in a cluster.
     */
    "isCluster"?: boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the VCN.
     */
    "vcnId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the subnet.
     */
    "subnetId": string;
    /**
     * The IP addresses assigned to the Database Management private endpoint.
     *
     */
    "privateIp"?: string;
    /**
     * The description of the Database Management private endpoint.
     */
    "description"?: string;
    /**
     * The date and time the Database Managament private endpoint was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated"?: Date;
    /**
     * The current lifecycle state of the Database Management private endpoint.
     */
    "lifecycleState"?: model.LifecycleStates;
    /**
     * The OCIDs of the Network Security Groups to which the Database Management private endpoint belongs.
     *
     */
    "nsgIds"?: Array<string>;
}
export declare namespace DbManagementPrivateEndpoint {
    function getJsonObj(obj: DbManagementPrivateEndpoint): object;
    function getDeserializedJsonObj(obj: DbManagementPrivateEndpoint): object;
}
