/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of profiling results of a specific attribute.
 */
export interface AttributeProfileResult {
    /**
     * Name of the attribute
     */
    "name"?: string;
    "min"?: model.ProfileStat;
    "max"?: model.ProfileStat;
    "nullCount"?: model.ProfileStat;
    "distinctCount"?: model.ProfileStat;
    "uniqueCount"?: model.ProfileStat;
    "duplicateCount"?: model.ProfileStat;
    /**
     * Top N value frequencies for the column as described already in the topNValueFrequency profile config property.
     */
    "valueFrequencies"?: Array<model.ObjectFreqStat>;
    "type": string;
}
export declare namespace AttributeProfileResult {
    function getJsonObj(obj: AttributeProfileResult): object;
    function getDeserializedJsonObj(obj: AttributeProfileResult): object;
}
