/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The configurable properties of an object type.
 */
export interface ConfigParameterDefinition {
    "parameterType"?: model.ConfiguredType | model.DerivedType | model.DataType | model.StructuredType | model.CompositeType;
    /**
     * This object represents the configurable properties for an object type.
     */
    "parameterName"?: string;
    /**
     * A user-defined description for the object.
     */
    "description"?: string;
    /**
     * The default value for the parameter.
     */
    "defaultValue"?: any;
    /**
     * The parameter class field name.
     */
    "classFieldName"?: string;
    /**
     * Specifies whether the parameter is static.
     */
    "isStatic"?: boolean;
    /**
     * Specifies whether the parameter is a class field.
     */
    "isClassFieldValue"?: boolean;
}
export declare namespace ConfigParameterDefinition {
    function getJsonObj(obj: ConfigParameterDefinition): object;
    function getDeserializedJsonObj(obj: ConfigParameterDefinition): object;
}
