/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about connectivity validation results.
 */
export interface ConnectivityValidation {
    /**
     * Total number of validation messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalMessageCount": number;
    /**
     * Total number of validation error messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorMessageCount"?: number;
    /**
     * Total number of validation warning messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warnMessageCount"?: number;
    /**
     * Total number of validation information messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "infoMessageCount"?: number;
    /**
     * Detailed information of the connectivity validation.
     */
    "validationMessages"?: {
        [key: string]: Array<model.ValidationMessage>;
    };
}
export declare namespace ConnectivityValidation {
    function getJsonObj(obj: ConnectivityValidation): object;
    function getDeserializedJsonObj(obj: ConnectivityValidation): object;
}
