/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The data format object.
 */
export interface DataFormat {
    "formatAttribute"?: model.AvroFormatAttribute | model.JsonFormatAttribute | model.CsvFormatAttribute | model.ParquetFormatAttribute | model.ExcelFormatAttribute;
    /**
     * type
     */
    "type": DataFormat.Type;
    "compressionConfig"?: model.Compression;
}
export declare namespace DataFormat {
    enum Type {
        Json = "JSON",
        Csv = "CSV",
        Parquet = "PARQUET",
        Avro = "AVRO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DataFormat): object;
    function getDeserializedJsonObj(obj: DataFormat): object;
}
