/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of profiling results of a specific attribute.
 */
export interface NumericAttribute extends model.AttributeProfileResult {
    "mean"?: model.ProfileStat;
    "median"?: model.ProfileStat;
    "standardDeviation"?: model.ProfileStat;
    "variance"?: model.ProfileStat;
    "outlier"?: model.Outlier;
    "histogram"?: model.Histogram;
    /**
     * Pattern frequencies for the column as described already in profile config.
     */
    "patternFrequencies"?: Array<model.ObjectFreqStat>;
    "type": string;
}
export declare namespace NumericAttribute {
    function getJsonObj(obj: NumericAttribute, isParentJsonObj?: boolean): object;
    const type = "NUMERIC";
    function getDeserializedJsonObj(obj: NumericAttribute, isParentJsonObj?: boolean): object;
}
