"use strict";
/**
 * Data Connectivity Management API
 * Use the Data Connectivity Management Service APIs to perform common extract, load, and transform (ETL) tasks.
 * OpenAPI spec version: 20210217
 * Contact: di_dcms_dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericAttribute = void 0;
const model = __importStar(require("../model"));
var NumericAttribute;
(function (NumericAttribute) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.AttributeProfileResult.getJsonObj(obj))), {
            "mean": obj.mean ? model.ProfileStat.getJsonObj(obj.mean) : undefined,
            "median": obj.median ? model.ProfileStat.getJsonObj(obj.median) : undefined,
            "standardDeviation": obj.standardDeviation
                ? model.ProfileStat.getJsonObj(obj.standardDeviation)
                : undefined,
            "variance": obj.variance ? model.ProfileStat.getJsonObj(obj.variance) : undefined,
            "outlier": obj.outlier ? model.Outlier.getJsonObj(obj.outlier) : undefined,
            "histogram": obj.histogram ? model.Histogram.getJsonObj(obj.histogram) : undefined,
            "patternFrequencies": obj.patternFrequencies
                ? obj.patternFrequencies.map(item => {
                    return model.ObjectFreqStat.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    NumericAttribute.getJsonObj = getJsonObj;
    NumericAttribute.type = "NUMERIC";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.AttributeProfileResult.getDeserializedJsonObj(obj))), {
            "mean": obj.mean ? model.ProfileStat.getDeserializedJsonObj(obj.mean) : undefined,
            "median": obj.median ? model.ProfileStat.getDeserializedJsonObj(obj.median) : undefined,
            "standardDeviation": obj.standardDeviation
                ? model.ProfileStat.getDeserializedJsonObj(obj.standardDeviation)
                : undefined,
            "variance": obj.variance
                ? model.ProfileStat.getDeserializedJsonObj(obj.variance)
                : undefined,
            "outlier": obj.outlier ? model.Outlier.getDeserializedJsonObj(obj.outlier) : undefined,
            "histogram": obj.histogram
                ? model.Histogram.getDeserializedJsonObj(obj.histogram)
                : undefined,
            "patternFrequencies": obj.patternFrequencies
                ? obj.patternFrequencies.map(item => {
                    return model.ObjectFreqStat.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    NumericAttribute.getDeserializedJsonObj = getDeserializedJsonObj;
})(NumericAttribute = exports.NumericAttribute || (exports.NumericAttribute = {}));
//# sourceMappingURL=numeric-attribute.js.map