/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A key map. If provided, key is replaced with generated key.
 */
export interface ConfigurationDetails {
    "dataAsset"?: model.DataAssetFromJdbc | model.DataAssetFromOracleDetails | model.DataAssetFromAdwcDetails | model.DataAssetFromAmazonS3 | model.DataAssetFromLakehouseDetails | model.DataAssetFromObjectStorageDetails | model.DataAssetFromFusionApp | model.DataAssetFromAtpDetails | model.DataAssetFromMySQL | model.DataAssetFromRestDetails;
    "connection"?: model.ConnectionFromObjectStorage | model.ConnectionFromAdwc | model.ConnectionFromAtp | model.ConnectionFromOracle | model.ConnectionFromLakehouse | model.ConnectionFromAmazonS3 | model.ConnectionFromBIP | model.ConnectionFromMySQL | model.ConnectionFromJdbc | model.ConnectionFromBICC | model.ConnectionFromRestNoAuth | model.ConnectionFromRestBasicAuth;
    /**
     * The compartment ID of the object store.
     */
    "compartmentId"?: string;
    "schema"?: model.Schema;
}
export declare namespace ConfigurationDetails {
    function getJsonObj(obj: ConfigurationDetails): object;
    function getDeserializedJsonObj(obj: ConfigurationDetails): object;
}
